import argparse
import sys


def parse_args(argv: dict = None) -> argparse.Namespace:
    if argv is None:
        argv = sys.argv

    parser = argparse.ArgumentParser(description='Exercise 1')
    parser.add_argument('input', nargs='?', type=argparse.FileType('r'), help='Documents to read.', default=sys.stdin)
    parser.add_argument('similarity', nargs='?', type=float, help='Similarity threshold.', default=0.05)

    return parser.parse_args(argv[1:])


def parse(stream, similarity: float) -> None:
    with stream:
        for doc in stream:
            doc = doc.replace('\n', '')
            parse_doc(doc)


def parse_doc(doc: str) -> None:
    pass


def main():
    ns = parse_args()
    parse(ns.input, ns.similarity)
